FTBFS due to build-dep conflicts

Bug #1060489 reported by Barry Warsaw on 2012-10-02
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
claws-mail-extra-plugins (Ubuntu)
High
Barry Warsaw

Bug Description

https://launchpad.net/ubuntu/+archive/test-rebuild-20120922/+build/3809324

build log:

https://launchpadlibrarian.net/117335134/buildlog_ubuntu-quantal-i386.claws-mail-extra-plugins_3.8.1-1build1_FAILEDTOBUILD.txt.gz

Note:

The following packages have unmet dependencies:
 libgdata-dev : Depends: liboauth-dev (>= 0.9.4) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

But manual installation of these two packages (not build-deps) succeeds.

Barry Warsaw (barry) on 2012-10-02
Changed in claws-mail-extra-plugins (Ubuntu):
status: New → In Progress
milestone: none → ubuntu-12.10
assignee: nobody → Barry Warsaw (barry)
importance: Undecided → High
Barry Warsaw (barry) wrote :

This is caused by a conflict between libetpan-dev which requires libcurl4-gnutls-dev and libgdata-dev which requires (via liboauth-dev) libcurl4-nss-dev. Those two libcurl packages both satisfy the libcurl-dev dependency, but conflict. I can't think of a resolution short of disabling one of the plugins - but which one?

Barry Warsaw (barry) wrote :

This was very likely caused by the libgdata 0.13.1-0ubuntu2 upload which added a dependency from libgdata to liboauth-dev (and thus added the libcurl4-nss-dev dependency which conflicts with libetpan-dev's libcurl4-gnutls-dev). Don't look at the changelog for libgdata, cause it got cut off.

Subscribing the developer that uploaded the last libgdata.

Robert Ancell (robert-ancell) wrote :

Bug is upstream adding a pkg-config dependency to oauth which was not required:
https://bugzilla.gnome.org/show_bug.cgi?id=685464

Barry Warsaw (barry) wrote :

@Robert: thanks! I've confirmed that a local rebuild now succeeds, and Matthias has done a retry on the archive rebuild. I'll watch that, but I think this issue is now resolved.

Changed in claws-mail-extra-plugins (Ubuntu):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.